var fDates = {
  en: {
    months: ["January","February","March","April","May","June","July","August","September","October","November","December"],
    monthsShort: ["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],
    days: ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],
    daysShort: ["Sun","Mon","Tue","Wed","Thu","Fri","Sat"]
  },
  de: {
    months: ["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"],
    monthsShort: ["Jan","Feb","Mär","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez"],
    days: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
    daysShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
  },
  es: {
    months: ["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"],
    monthsShort: ["Ene","Feb","Mar","Abr","May","Jun","Jul","Ago","Sep","Oct","Nov","Dic"],
    days: ["Domingo","Lunes","Martes","Miércoles","Jueves","Viernes","Sábado"],
    daysShort: ["Dom","Lun","Mar","Mié","Jue","Vie","Sáb"]
  },
  fr: {
    months: ['Janvier','Février','Mars','Avril','Mai','Juin','Juillet','Août','Septembre','Octobre','Novembre','Décembre'],
    monthsShort: ["Janv","Févr","Mars","Avr","Mai","Juin","Juil","Août","Sept","Oct","Nov","Déc"],
    days: ['Dimanche','Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi'],
    daysShort: ['Dim.','Lun.','Mar.','Mer.','Jeu.','Ven.','Sam.']
  },
  it: {
    months: ["Gennaio","Febbraio","Marzo","Aprile","Maggio","Giugno","Luglio","Agosto","Settembre","Ottobre","Novembre","Dicembre"],
    monthsShort: ["Gen","Feb","Mar","Apr","Mag","Giu","Lug","Ago","Set","Ott","Nov","Dic"],
    days: ["Domenica","Lunedì","Martedì","Mercoledì","Giovedì","Venerdì","Sabato"],
    daysShort: ["Dom","Lun","Mar","Mer","Gio","Ven","Sab"]
  },
  ja: {
    months: ["一月","二月","三月","四曰","五曰","六月","七月","八月","九月","十月","十一月","十二月"],
    monthsShort: ["一月","二月","三月","四曰","五曰","六月","七月","八月","九月","十月","十一月","十二月"],
    days: ["日曜日","月曜日","火曜日","水曜日","木曜日","金曜日","土曜日"],
    daysShort: ["日", "月", "火", "水", "木", "金", "土"]
  },
  ko: {
    months: ["1월","2월","3월","4월","5월","6월","7월","8월","9월","10월","11월","12월"],
    monthsShort: ["1월","2월","3월","4월","5월","6월","7월","8월","9월","10월","11월","12월"],
    days: ["일요일","월요일","화요일","수요일","목요일","금요일","토요일"],
    daysShort: ["일", "월", "화", "수", "목", "금", "토"]
  },
  pl: {
    months: ["stycznia", "lutego", "marca", "kwietnia", "maja", "czerwca", "lipca", "sierpnia", "września", "października", "listopada", "grudnia"],
    monthsShort: ["sty", "lut", "mar", "kwi", "maj", "cze", "lip", "sie", "wrz", "paź", "lis", "gru"],
    days: ["niedziela", "poniedziałek", "wtorek", "środa", "czwartek", "piątek", "sobota"],
    daysShort: ["niedz.", "pon.", "wt.", "śr.", "czw.", "pt.", "sob."]
  },
  ru: {
    months: ["Январь","Февраль","Март","Апрель","Май","Июнь","Июль","Август","Сентябрь","Октябрь","Ноябрь","Декабрь"],
    monthsShort: ["Янв","Фев","Мрт","Апр","Май","Июн","Июл","Авг","Сен","Окт","Нбр","Дек"],
    days: ["воскресенье","понедельник","вторник","среда","четверг","пятница","суббота"],
    daysShort: ["вс","пн","вт","ср","чт","пт","сб"]
  },
  zh: {
    months: ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"],
    monthsShort: ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"],
    days: ["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"],
    daysShort: ["週日", "週一", "週二", "週三", "週四", "週五", "週六"]
  },
  pt: {
    months: ["janeiro", "fevereiro", "março", "abril", "maio", "junho", "julho", "agosto", "setembro", "outubro", "novembro", "dezembro"],
    monthsShort: ["jan", "fev", "mar", "abr", "mai", "jun", "jul", "ago", "set", "out", "nov", "dez"],
    days: ["domingo", "segunda-feira", "terça-feira", "quarta-feira", "quinta-feira", "sexta-feira", "sábado"],
    daysShort: ["dom", "seg", "ter", "qua", "qui", "sex", "sáb"],
  }
};